#include <string.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>

#ifndef VOLIFE_RUN_SCRIPT
#define VOLIFE_RUN_SCRIPT "/usr/bin/volife_run.sh"
#endif

int main(int argc, char *const argv[])
{
	char **newargv;
	char *envp[1];
	size_t argv_size;

	argv_size = sizeof (char *) * (argc + 2);
	newargv = malloc(argv_size);
	memcpy(newargv, argv, argv_size);
	newargv[0] = VOLIFE_RUN_SCRIPT;
	envp[0] = NULL;
	if (execve(VOLIFE_RUN_SCRIPT, newargv, envp))
		perror("volife_run");
	return -1;
}
